org.apache.thrift.protocol

## Class TJSONProtocol.JSONBaseContext

- java.lang.Object
- - org.apache.thrift.protocol.TJSONProtocol.JSONBaseContext

- Direct Known Subclasses:
    TJSONProtocol.JSONListContext, TJSONProtocol.JSONPairContext
  Enclosing class:
    TJSONProtocol

      protected class TJSONProtocol.JSONBaseContext
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TJSONProtocol.JSONBaseContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `escapeNum()`
    `protected void` | `read()`
    `protected void` | `write()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TJSONProtocol.JSONBaseContext

          protected TJSONProtocol.JSONBaseContext()

  - ### Method Detail

    - #### write

          protected void write()
                        throws TException

      Throws:
        `TException`

    - #### read

          protected void read()
                       throws TException

      Throws:
        `TException`

    - #### escapeNum

          protected boolean escapeNum()